#
# spec file for package plasma5-radiotray
#
# Copyright (c) 2019 Packman Team <packman@links2linux.de>
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


Name:           plasma5-radiotray
Version:        1.0
Release:        pm152.1.7
Summary:        Plasmoid to listen to online radio stations
License:        LGPL-3.0-or-later
URL:            https://github.com/plasma-extensions/plasma-widget-radiotray
Group:          System/GUI/KDE
Source:         https://github.com/plasma-extensions/plasma-widget-radiotray/archive/v%{version}.tar.gz#/plasma-widget-radiotray-%{version}.tar.gz
BuildRequires:  extra-cmake-modules >= 0.0.11
BuildRequires:  fdupes
BuildRequires:  kf5-filesystem
BuildRequires:  pkgconfig
BuildRequires:  cmake(KF5Plasma) >= 5.0.0
BuildRequires:  cmake(Qt5Core) >= 5.4.0
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  pkgconfig(libvlc) >= 3.0.0
Requires:       vlc-noX
Recommends:     %{name}-lang

%description
Plasma widget to listen to online radio stations.

It requires vlc-beta-noX.

%lang_package

%prep
%setup -q -n plasma-widget-radiotray-%{version}

%build
%cmake_kf5 -d build -- -DCMAKE_INSTALL_LOCALEDIR=%{_kf5_localedir}
%make_jobs

%install
%kf5_makeinstall -C build
%kf5_find_lang
%fdupes %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license LICENSE
%doc README.md
%dir %{_kf5_qmldir}/org/kde/private/radioplayer
%{_kf5_qmldir}/org/kde/private/radioplayer/libplasmoidplugin.so
%{_kf5_qmldir}/org/kde/private/radioplayer/qmldir
%{_kf5_sharedir}/icons/breeze
%{_kf5_sharedir}/icons/breeze-dark
%{_kf5_servicesdir}/plasma-applet-org.plasma-light.radio.desktop
%{_kf5_appstreamdir}/org.plasma-light.radio.appdata.xml
%dir %{_kf5_plasmadir}/plasmoids
%dir %{_kf5_plasmadir}/plasmoids/org.plasma-light.radio
%{_kf5_plasmadir}/plasmoids/org.plasma-light.radio/*

%files lang -f %{name}.lang
%license LICENSE

%changelog
* Wed Oct 23 2019 Luigi Baldoni <aloisio@gmx.com>
- Update to version 1.0
  * Missing icons
  * Clarifying play behavior.
  * Config view
- Spec cleanup
* Wed Aug 28 2019 Mariusz Fik <fisiu@opensuse.org>
- Replace Requires: vlc-beta-noX with vlc-noX.
* Mon Dec 19 2016 fisiu@opensuse.org
- Add Requires: vlc-beta-noX.
* Sun Dec 18 2016 fisiu@opensuse.org
- Initial version.
